org.apache.activemq.artemis.api.core

## Class DiscoveryGroupConfiguration

- java.lang.Object
- - org.apache.activemq.artemis.api.core.DiscoveryGroupConfiguration

- All Implemented Interfaces:
    Serializable

      public final class DiscoveryGroupConfiguration
      extends Object
      implements Serializable

  This file represents how we are using Discovery.

  The discovery configuration could either use plain UDP, or JGroups.
  If using UDP, all the UDP properties will be filled and the jgroups properties will be `null`.
  If using JGroups, all the UDP properties will be -1 or `null` and the jgroups properties will be filled.
  If by any reason, both properties are filled, the JGroups takes precedence. That means, if `jgroupsFile != null` then the Grouping method used will be JGroups.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DiscoveryGroupConfiguration()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `BroadcastEndpointFactory` | `getBroadcastEndpointFactory()`
    `long` | `getDiscoveryInitialWaitTimeout()`
    `String` | `getName()`
    `long` | `getRefreshTimeout()`
    `int` | `hashCode()`
    `DiscoveryGroupConfiguration` | `setBroadcastEndpointFactory(BroadcastEndpointFactory endpointFactory)`
    `DiscoveryGroupConfiguration` | `setDiscoveryInitialWaitTimeout(long discoveryInitialWaitTimeout)`
    `DiscoveryGroupConfiguration` | `setName(String name)`
    `DiscoveryGroupConfiguration` | `setRefreshTimeout(long refreshTimeout)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### DiscoveryGroupConfiguration

          public DiscoveryGroupConfiguration()

  - ### Method Detail

    - #### getName

          public String getName()

    - #### getRefreshTimeout

          public long getRefreshTimeout()

    - #### setName

          public DiscoveryGroupConfiguration setName(String name)

      Parameters:
        `name` - the name to set

    - #### setRefreshTimeout

          public DiscoveryGroupConfiguration setRefreshTimeout(long refreshTimeout)

      Parameters:
        `refreshTimeout` - the refreshTimeout to set

    - #### getDiscoveryInitialWaitTimeout

          public long getDiscoveryInitialWaitTimeout()

      Returns:
        the discoveryInitialWaitTimeout

    - #### setDiscoveryInitialWaitTimeout

          public DiscoveryGroupConfiguration setDiscoveryInitialWaitTimeout(long discoveryInitialWaitTimeout)

      Parameters:
        `discoveryInitialWaitTimeout` - the discoveryInitialWaitTimeout to set

    - #### getBroadcastEndpointFactory

          public BroadcastEndpointFactory getBroadcastEndpointFactory()

    - #### setBroadcastEndpointFactory

          public DiscoveryGroupConfiguration setBroadcastEndpointFactory(BroadcastEndpointFactory endpointFactory)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2015 The Apache Software Foundation. All rights reserved.